fop 1.1

## org.apache.fop.fo
Class ElementMapping

    java.lang.Object
      org.apache.fop.fo.ElementMapping

Direct Known Subclasses:
  AFPElementMapping, BatikExtensionElementMapping, ExtensionElementMapping, FOElementMapping, InternalElementMapping, OldExtensionElementMapping, PCLElementMapping, PDFElementMapping, PSExtensionElementMapping, RDFElementMapping, SVGElementMapping, XMPElementMapping

    public abstract class ElementMapping

extends java.lang.Object

Abstract base class for Element Mappings (including FO Element Mappings) which provide the framework of valid elements and attributes for a given namespace.

Nested Class Summary
`static class` `ElementMapping.Maker` Base class for all Makers.

Field Summary
`static java.lang.String` `DEFAULT` constant for defining the default value
`protected java.util.HashMap<java.lang.String,ElementMapping.Maker>` `foObjs` The HashMap table of formatting objects defined by the ElementMapping
`protected java.lang.String` `namespaceURI` The namespace for the ElementMapping

Constructor Summary
`ElementMapping()`

Method Summary
`static org.w3c.dom.DOMImplementation` `getDefaultDOMImplementation()`
`org.w3c.dom.DOMImplementation` `getDOMImplementation()` Returns the DOMImplementation used by this ElementMapping.
`java.lang.String` `getNamespaceURI()` Returns the namespace URI for this element mapping
`java.lang.String` `getStandardPrefix()`
`java.util.HashMap<java.lang.String,ElementMapping.Maker>` `getTable()` Returns a HashMap of maker objects for this element mapping
`protected abstract void` `initialize()` Initializes the set of maker objects associated with this ElementMapping
`boolean` `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final java.lang.String DEFAULT

  constant for defining the default value

  See Also:
    Constant Field Values

### foObjs

    protected java.util.HashMap<java.lang.String,ElementMapping.Maker> foObjs

  The HashMap table of formatting objects defined by the ElementMapping

### namespaceURI

    protected java.lang.String namespaceURI

  The namespace for the ElementMapping

Constructor Detail

### ElementMapping

    public ElementMapping()

Method Detail

### getTable

    public java.util.HashMap<java.lang.String,ElementMapping.Maker> getTable()

  Returns a HashMap of maker objects for this element mapping

  Returns:
    Table of Maker objects for this ElementMapping

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI for this element mapping

  Returns:
    Namespace URI for this element mapping

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Returns the DOMImplementation used by this ElementMapping. The value returned may be null for cases where no DOM is used to represent the element tree (XSL-FO, for example). This method is used by the intermediate format to instantiate the right kind of DOM document for foreign objects. For example, SVG handled through Apache Batik has to use a special DOMImplementation.

  Returns:
    the DOMImplementation used by this ElementMapping, may be null

### getDefaultDOMImplementation

    public static org.w3c.dom.DOMImplementation getDefaultDOMImplementation()

  Returns:
    the default DOMImplementation when no specialized DOM is necessary.

### getStandardPrefix

    public java.lang.String getStandardPrefix()

  Returns:
    the standard namespace prefix for this namespace or null if it is not known.

### isAttributeProperty

    public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

  Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.

  Parameters:
    `attributeName` - the attribute name
  Returns:
    true if the attribute should be converted to a property

### initialize

    protected abstract void initialize()

  Initializes the set of maker objects associated with this ElementMapping

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.